--- old/usr/src/cmd/sgs/libconv/Makefile.com	Tue Jun  5 20:45:28 2018
+++ new/usr/src/cmd/sgs/libconv/Makefile.com	Tue Jun  5 20:45:28 2018
@@ -21,6 +21,7 @@
 
 #
 # Copyright (c) 1994, 2010, Oracle and/or its affiliates. All rights reserved.
+# Copyright 2018, Joyent, Inc.
 #
 
 LIBRARY =	libconv.a
@@ -113,6 +114,14 @@
 LINTSRCS32 =	$(COMOBJS32:%32.o=../common/%.c)
 LINTSRCS64 =	$(COMOBJS64:%64.o=../common/%.c)
 
+# Since libconv uses dlopen(3C) to load libdemangle-sys.so (much like it did
+# for the old Sun Studio libdemangle.so) in order to avoid messy bootstrapping
+# problems, but it also needs the definitions from demangle-sys.h for
+# SYSDEM_LANG_AUTO, lint will complain about sysdemangle() being defined but not
+# used unless it is explicitly included during the lint pass
+$(LINTOUT32)	:= LDLIBS += -ldemangle-sys
+$(LINTOUT64)	:= LDLIBS += -ldemangle-sys
+
 SGSMSGTARG=	$(BLTOBJS:%_msg.o=../common/%.msg)
 
 LINTFLAGS +=	-u
